
<!-- Warning: This file has been autogenerated by tools/makedoc.py. Manual edits will be overwritten. -->
<html>
    <head>
        <title>freesmartphone.org Resource Interface</title>
        <link rel="stylesheet" type="text/css" href="http://git.freesmartphone.org/?p=specs.git;a=blob_plain;f=html/style.css;hb=HEAD" />
    </head>
    <body>
    <div class="topbox">freesmartphone.org Framework DBus Interface Specification</div>


<h1>org.freesmartphone.Resource</h1><h2>Description</h2>
<p>The Resource interface provides access to a resource as visible from the FSO usage subsystem.  Every resource provider has to implement this interface.  Applications other than FSO usage are not allowed to use this interface, they have to  use the org.freesmartphone.Usage API.</p>
<h2>Namespace</h2>
<p><tt>org.freesmartphone.Resource</tt></p>
<h2>Methods</h2><ul>
<li><a href="#Enable">Enable</a></li>
<li><a href="#Disable">Disable</a></li>
<li><a href="#Suspend">Suspend</a></li>
<li><a href="#Resume">Resume</a></li>
<li><a href="#GetDependencies">GetDependencies</a></li>
<li><a href="#GetDefaultPolicy">GetDefaultPolicy</a></li>
</ul>
<h2>Signals</h2><i>None</i>
<h2>Properties</h2><i>None</i>
<h2>Errors</h2><ul>
<li><a href="#NotEnabled">NotEnabled</a></li>
<li><a href="#UnableToEnable">UnableToEnable</a></li>
</ul>
<h1>Methods</h1><h3><a name="Enable">Enable</a> ( )</h3><p><i>Description:</i> Enable the resource. </p>
<h3><a name="Disable">Disable</a> ( )</h3><p><i>Description:</i> Disable the resource. </p>
<h3><a name="Suspend">Suspend</a> ( )</h3><p><i>Description:</i> Suspend the resource. </p>
<h3><a name="Resume">Resume</a> ( )</h3><p><i>Description:</i> Resume the resource. </p>
<h3><a name="GetDependencies">GetDependencies</a> ( ) &rarr; a{sv}</h3>
<p><i>Description:</i> The resource is able to lists its dependencies.   For example a resource can depend on another resource. If this resource  is enabled the dependency resource will be enabled first. </p><h4>Returns</h4><i>a{sv}: dependencies</i><p>Dependencies required for resource operation. Expected values are:  <ul>  <li>"services": A comma-separated string of service names</li>  <li>"processes": A comma-separated string of process names</li>  </ul>  Dependencies are being activated / deactivated as defined by the resource lifecycle. </p>
<h3><a name="GetDefaultPolicy">GetDefaultPolicy</a> ( ) &rarr; s</h3>
<p><i>Description:</i> The resource is able to provide the default policy to use. </p><h4>Returns</h4><i>s: policy</i><p>The default policy to use for this resource. See  <a href="http://docs.freesmartphone.org/org.freesmartphone.Usage.html#GetResourcePolicy">GetResourcePolicy</a> for a list of possible values. </p>
<h1>Errors</h1><h3><a name="NotEnabled">NotEnabled</a></h3><p><i>Description:</i> Raised, if the resource is not enabled. </p>
<h3><a name="UnableToEnable">UnableToEnable</a></h3><p><i>Description:</i> Raised, if the resource can not be enabled. </p>

    <hr/>
    <small>
    | Specified 2008-2012 by the <a href="http://www.freesmartphone.org">Freesmartphone.org</a> team. | Join us and discuss further drafts smartphones-standards (at) linuxtogo (dot) org
    </small>
    <hr/>
    </body>
</html>

